<?php

require_once './ui/index.php';
require_once './core/index.php';

//session_start();
$is_logged_in = false;

//if(filter_input(INPUT_POST, 'btnLogin') != NULL) {
if(isset($_POST['btnLogin'])) {
    // Get username and password
//    $username = filter_input(INPUT_POST, 'txtUsername', FILTER_SANITIZE_STRING);
//    $password = filter_input(INPUT_POST, 'txtPassword', FILTER_SANITIZE_STRING);
    $username = trim($_POST['txtUsername']);
    $password = trim($_POST['txtPassword']);
    // Create BoxLV object
    $boxLV_Obj = JIBoxLV::GetInstance();
    // Process login
    if($boxLV_Obj->ValidateCredentials($username, $password)) {
//        $_SESSION['logged_in'] = true;
        $is_logged_in = true;
    }
    else {
        $message = 'Incorrect username / password. Please try again.';
    }
}

?>

<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html lang="en"> <!--<![endif]-->
<head>
    <meta charset="utf-8">
    <title>System Diagnostic Tools</title>
    <meta name="description" content="System Diagnostic Tools | clearone.com">
    <meta name="author" content="kmitechnology.com">
	
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    
    <link rel="stylesheet" href="css/zerogrid.css" />
    <link rel="stylesheet" href="css/style.css" />
    <link rel="stylesheet" href="css/responsive.css" />
    <link rel="stylesheet" href="css/form.css" />
    
    <!--[if lt IE 8]>
        <div style=' clear: both; text-align:center; position: relative;'>
            <a href="http://windows.microsoft.com/en-US/internet-explorer/products/ie/home?ocid=ie6_countdown_bannercode">
                <img src="http://storage.ie6countdown.com/assets/100/images/banners/warning_bar_0000_us.jpg" border="0" height="42" width="820" alt="You are using an outdated browser. For a faster, safer browsing experience, upgrade for free today." />
            </a>
        </div>
    <![endif]-->
    <!--[if lt IE 9]>
        <script src="js/html5.js"></script>
        <script src="js/css3-mediaqueries.js"></script>
    <![endif]-->
	
    <!--<link href='./images/favicon.ico' rel='icon' type='image/x-icon'/>-->
</head>
<body>
    <!-- Header -->
   <header>
		<div class="wrap-header zerogrid">
            <!--<div id="logo"><a href="#">System Diagnostic Tools</a></div>-->
            <h1 id="title"><a href="#">System Diagnostic Tools</a></h1>
        </div>
    </header>
    <!-- Content -->
    <section id="content">
        <div class="wrap-content zerogrid">
            <div class="row block">
                <?php if(!empty($message)){echo '<p class="ji-message ji-error">'.$message.'</p>';} ?>
                <?php // if(isset($_SESSION['logged_in'])): ?>
                <?php if($is_logged_in): ?>
                    <!-- Left Sidebar -->
                    <div id="sidebar" class="col-1-3">
                        <div class="wrap-col">
                            <?php JIFormUI::SidebarMenu(); ?>
                        </div>
                    </div>
                    <!-- Content -->
                    <div id="main_content" class="col-2-3">
                        <div class="wrap-col">
                            <?php JITableUI::SystemTable(); ?>
                        </div>
                    </div>
                <?php else:
                    JIFormUI::Login();
                endif; ?>
            </div>
	</div>
    </section>
    <!-- Footer -->
    <footer>
	<div class="copyright">
            <p>Copyright &copy; 2015 - <a href="" target="_blank">ClearOne</a></p>
	</div>
    </footer>
    <script type="text/javascript" src="./js/jquery-1.11.3.min.js"></script>
    <script type="text/javascript" src="./js/system-diagnostic-tools.js"></script>
</body>
</html>
<?php

//session_destroy();